# Uses of Class
it.tdlight.jni.TdApi.InlineKeyboardButtonType

## Uses of TdApi.InlineKeyboardButtonType in it.tdlight.jni

Subclasses of TdApi.InlineKeyboardButtonType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.InlineKeyboardButtonTypeBuy`
A button to buy something.
`static final class`
`TdApi.InlineKeyboardButtonTypeCallback`
A button that sends a callback query to a bot.
`static final class`
`TdApi.InlineKeyboardButtonTypeCallbackGame`
A button with a game that sends a callback query to a bot.
`static final class`
`TdApi.InlineKeyboardButtonTypeCallbackWithPassword`
A button that asks for the 2-step verification password of the current user and then sends a callback query to a bot.
`static final class`
`TdApi.InlineKeyboardButtonTypeLoginUrl`
A button that opens a specified URL and automatically authorize the current user by calling getLoginUrlInfo.
`static final class`
`TdApi.InlineKeyboardButtonTypeSwitchInline`
A button that forces an inline query to the bot to be inserted in the input field.
`static final class`
`TdApi.InlineKeyboardButtonTypeUrl`
A button that opens a specified URL.
`static final class`
`TdApi.InlineKeyboardButtonTypeUser`
A button with a user reference to be handled in the same way as textEntityTypeMentionName entities.
`static final class`
`TdApi.InlineKeyboardButtonTypeWebApp`
A button that opens a Web App by calling openWebApp.
Fields in it.tdlight.jni declared as TdApi.InlineKeyboardButtonType
Modifier and Type
Field
Description
`TdApi.InlineKeyboardButtonType`
TdApi.InlineKeyboardButton.`type`
Type of the button.
Constructors in it.tdlight.jni with parameters of type TdApi.InlineKeyboardButtonType
Modifier
Constructor
Description
``
`InlineKeyboardButton(String text, TdApi.InlineKeyboardButtonType type)`
Represents a single button in an inline keyboard.